Bug 21114 - Map auto_xxxx should not be translated to auto.xxxx, breaks compatibilty with Solaris NIS/YP
Summary: Map auto_xxxx should not be translated to auto.xxxx, breaks compatibilty with...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 08:30 UTC by per.sjoholm
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-20 21:30:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description per.sjoholm 2000-11-20 08:30:59 UTC
Map auto_xxxx should not be translated to auto.xxxx this  breaks
compatibilty with Solaris NIS/YP and naming service.

In RHL-7 /etc/init.d/autofs changes all maps with name starting 'auto_' to
'auto.' .
This is not the way solaris does it.

I run a mixed env with Solaris/sparc ( solaris 7) my map auto_home_ki
is used as auto_home_ki on the Solaris clients. 

There is a differnence between file_name and yp map_name
see  /var/yp/Makefile
/etc/auto_master -> auto.master
/etc/auto_home  -> auto.home

The '.' is related to that the '.' is reservered in NIS+ and is used
between simple names and index named. See NIS+ documentation.

I have tried to use '.' in yp map names and this does NOT work on Solaris.
auto.home_ki doesn NOT work, auto_home_ki does work.

My conclusion is that auto.master and auto.home is special case i Solaris
and that '.'
should be avoided in NIS/YP map names.

There are 2 temporary solutions.
 o Edit /var/yp/nicknames and add nickname for the auto.xxxx map.
 o Edit /var/yp/Makefile and produce 2 maps auto.xxxx and auto.xxxx.

Neither of the temporary solutions is good considering that you also have
to do changes
on the slave servers.

Comment 1 Nalin Dahyabhai 2001-02-16 17:40:42 UTC
This will be fixed in autofs-3.1.7-8, in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.